Public Class ProfileControlForm
    Inherits Form

#Region " Designer "

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub
    Friend WithEvents SmartTagProvider As Stax.UI.Design.SmartTagProvider
    Friend WithEvents bClose As System.Windows.Forms.Button
    Friend WithEvents pControl As System.Windows.Forms.Panel

    Private components As System.ComponentModel.IContainer

    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.SmartTagProvider = New Stax.UI.Design.SmartTagProvider
        Me.bClose = New System.Windows.Forms.Button
        Me.pControl = New System.Windows.Forms.Panel
        Me.SuspendLayout()
        '
        'bClose
        '
        Me.bClose.Anchor = CType((System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.bClose.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.bClose.Location = New System.Drawing.Point(183, 183)
        Me.bClose.Name = "bClose"
        Me.bClose.Size = New System.Drawing.Size(75, 24)
        Me.bClose.TabIndex = 1
        Me.bClose.Text = "Close"
        '
        'pControl
        '
        Me.pControl.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.pControl.Location = New System.Drawing.Point(12, 12)
        Me.pControl.Name = "pControl"
        Me.pControl.Size = New System.Drawing.Size(246, 165)
        Me.pControl.TabIndex = 2
        '
        'ProfileControlForm
        '
        Me.CancelButton = Me.bClose
        Me.ClientSize = New System.Drawing.Size(270, 219)
        Me.Controls.Add(Me.pControl)
        Me.Controls.Add(Me.bClose)
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog
        Me.MaximizeBox = False
        Me.MinimizeBox = False
        Me.Name = "ProfileControlForm"
        Me.ShowIcon = False
        Me.ShowInTaskbar = False
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent
        Me.Text = "DialogForm"
        Me.ResumeLayout(False)

    End Sub

#End Region

    Public Sub New(ByVal title As String)
        MyBase.New()
        InitializeComponent()
        Me.Text = title
    End Sub

    Private Sub ProfileControlForm_FormClosing(ByVal sender As Object, ByVal e As FormClosingEventArgs) Handles Me.FormClosing
        pControl.Controls.Clear()
    End Sub
End Class